What can I upgrade my eMac to?

Version 1
Last Modified: Feb 18, 2014 9:31 AM

700 Mhz and 800 Mhz eMacs maxed at Mac OS X 10.4.11 (link addresses how to upgrade).

 

No eMac is able to run off Mac OS 9 retail, and must use the prebundled copy of their eMac discs to install Mac OS 9 for use as bootable or Classic version of Mac OS 9.  August 2002 and later models required the restore directions to install Mac OS 9 as either a bootable or Classic version.

 

1 Ghz and higher eMacs max at Mac OS X 10.5.8 (even with 10.5 there is no Boot Camp support on eMacs, and slower emulation was the only option to run Windows directly on an eMac).  Only one eMac model  M8950LL/A, was able to boot both into Mac OS 9, and use Mac OS X 10.5 via the Startup Disk System Preference in Mac OS X.  The rest of the newer models must have a separate partition or external Firewire hard drive with 10.4.11 or earlier to maintain Classic compatibility, and could not boot Mac OS 9 directly.  This limited their compatibility of Mac OS 9 drivers.

 

Booting Mac OS 9 on supported eMacs may only be possible after formatting with the Mac OS 9 drivers, which will require an erase of the hard drive.

 

That said, if you must run Mac OS X 10.6 or later, you'll need a newer Apple machine from 2006 or later with an Intel processor.   This tip addresses how to migrate data from old eMacs or any Mac model that has a G3, G4, or G5 processor to an Intel processor:

 

https://discussions.apple.com/docs/DOC-2295